<?php

namespace Drupal\theme_black_and_white\Controller;

use Drupal\Core\Controller\ControllerBase;
use \Symfony\Component\HttpFoundation\JsonResponse;

/**
 * Black and White controller for the session storing jobs.
 */
class BlackAndWhiteController extends ControllerBase {

  /**
   * Pass the dependency to the object constructor.
   */
  public function __construct() {
    $this->session = \Drupal::service('user.private_tempstore')->get('theme_black_and_white');
  }

  /**
   * Routing endpoint for the AJAX call.
   */
  public function setBlackAndWhite() {
    $response = "black-and-white";
    if ($this->session->get('bw_status') == NULL) {
      $this->session->set('bw_status', "black-and-white");
    }
    else {
      if (($this->session->get('bw_status') == "colored")) {
        $response = "black-and-white";
        $this->session->set('bw_status', "black-and-white");
      }
      else {
        $response = "colored";
        $this->session->set('bw_status', "colored");
      }
    }

    return new JsonResponse($response);
  }

}
