<?php

namespace Drupal\theme_black_and_white\Plugin\Block;

use Drupal\Core\Block\BlockBase;

/**
 * Provides a 'BlackAndWhiteImage' block.
 *
 * @Block(
 *  id = "black_and_white_image",
 *  admin_label = @Translation("Black and white image"),
 * )
 */
class BlackAndWhiteImage extends BlockBase {

  /**
   * {@inheritdoc}
   */
  public function build() {
    $build = [];
    $module_path = drupal_get_path('module', 'theme_black_and_white');
    $build['black_and_white_image']['#theme'] = 'theme_black_and_white';
    $build['black_and_white_image']['#module_path'] = $module_path;
    $build['black_and_white_image']['#attached'] = array(
      'library' => array(
        'theme_black_and_white/theme_black_and_white-library',
      ),
    );
    return $build;
  }

}
